# Generated from churn-0.0.29.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name churn
%global rubyabi 1.9.1

Summary: Providing additional churn metrics over the original metric_fu churn
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.0.29
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://github.com/danmayer/churn
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(main) 
Requires: %{?scl_prefix}rubygem(json_pure) 
Requires: %{?scl_prefix}rubygem(chronic) >= 0.2.3
Requires: %{?scl_prefix}rubygem(sexp_processor) => 4.1
Requires: %{?scl_prefix}rubygem(sexp_processor) < 5
Requires: %{?scl_prefix}rubygem(ruby_parser) => 3.0
Requires: %{?scl_prefix}rubygem(ruby_parser) < 4
Requires: %{?scl_prefix}rubygem(hirb) 
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
High method and class churn has been shown to have increased bug and error
rates. This gem helps you know what is changing a lot so you can do additional
testing, code review, or refactoring to try to tame the volatile code.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/churn
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.*

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Gemfile
%doc %{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/*.gemspec
%doc %{gem_instdir}/man
%doc %{gem_instdir}/test

%changelog
* Wed Jul 24 2013 Steve Linabery <slinaber@redhat.com> - 0.0.29-1
- Initial package
